#
# spec file for package f2c (Version 0.11)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  yacc tcsh

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         f2c
Release:      15
Copyright:    1990-95 ATCopyright: T Bell Laboratories and Bellcore.
Group: 
Provides:     
Requires: 
Conflicts:    g77
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      0.11
Summary:      A Fortran-77 to C translator
Source: f2c.tar.gz
Source1: libf2c-0.11.tar.gz
Source2: yaf77-1.6.tgz
Patch: f2c.dif
%description
Contains libf2c.so.0.11, ported by Rob Hooft. This package uses
an 'f77' script that hides the C translation process from the user.

Authors:
--------
    David Gay <dmg@bell-labs.com>
    Stu Feldman
    Mark Maimone
    Norm Schryer
    Rob Hooft (maintainer for Linux) <Hooft@EMBL-Heidelberg.DE>

%prep
%setup -n f2c -a 1 -a 2
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%files
%docdir /usr/doc/packages/f2c
/usr/doc/packages/f2c
/usr/bin/f2c
/usr/bin/f77-f2c
/usr/bin/yaf77
/usr/include/f2c.h
/usr/lib/libF77ext.a
/usr/lib/libf2c.a
/usr/lib/libf2c.so
/usr/lib/libf2c.so.0
/usr/lib/libf2c.so.0.11
%doc /usr/man/man1/f2c.1.gz

